Users

Get Public Profile

GET
/profile/{userId}

Get a user's public profile information.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/profile/usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
{
  "ageVerificationStatus": "18+",
  "ageVerified": true,
  "backgroundType": "string",
  "badges": [
    {
      "assignedAt": "2019-08-24T14:15:22Z",
      "badgeDescription": "string",
      "badgeId": "bdg_a60e514a-8cb7-4702-8f24-2786992be1a8",
      "badgeImageUrl": "string",
      "badgeName": "string",
      "hidden": true,
      "isQuantifiable": true,
      "showcased": true,
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "bannerColor": "string",
  "bannerType": "string",
  "bio": "string",
  "bioLinks": [
    "string"
  ],
  "displayName": "string",
  "hasVrcPlus": true,
  "iconFrame": "string",
  "iconUrl": "string",
  "id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "isEconomyCreator": true,
  "languages": [
    "string"
  ],
  "nameplateEffect": "string",
  "profileEffect": "string",
  "pronouns": "string",
  "representedGroup": {
    "bannerUrl": "string",
    "iconUrl": "string",
    "id": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
    "name": "string"
  },
  "themeId": "string",
  "trustTags": [
    "string"
  ]
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}